package com.google.android.exoplayer2.a;

import java.nio.ByteBuffer;
import java.nio.ByteOrder;

public interface d {
    public static final ByteBuffer aPG = ByteBuffer.allocateDirect(0).order(ByteOrder.nativeOrder());

    void flush();

    void g(ByteBuffer byteBuffer);

    boolean isActive();

    boolean qf();

    int qk();

    void ql();

    ByteBuffer qm();

    boolean r(int i, int i2, int i3);

    void reset();
}
